#!/bin/bash


# Detect and handle running under SALOME YACS module.
YACS_ARG=
if test "$SALOME_CONTAINERNAME" != "" -a "$CFDRUN_ROOT_DIR" != "" ; then
  YACS_ARG="--yacs-module=${CFDRUN_ROOT_DIR}"/lib/salome/libCFD_RunExelib.so
fi

module purge
module load matlab/R2012b
module load comsol/4.3a
module load maple/13
module load pgi/7.0-7
module load tecplot360/r1
module load intel/10.0.023

# Export paths here if necessary or recommended.
export PATH="/scratch/rasam/code_saturne/code/3.0/openmpi-1.6.3/bin":$PATH
export LD_LIBRARY_PATH="/scratch/rasam/code_saturne/code/3.0/openmpi-1.6.3/lib":$LD_LIBRARY_PATH

cd /scratch/rasam/code_saturne/saturne_run/LES/tmp_Saturne/LES.EASSM-3.0.20130527-1239

# Run solver.
/scratch/rasam/code_saturne/code/3.0/openmpi-1.6.3/bin/mpiexec -n 6 /scratch/rasam/code_saturne/saturne_run/LES/tmp_Saturne/LES.EASSM-3.0.20130527-1239/cs_solver --mpi $YACS_ARGS $@
export CS_RET=$?

exit $CS_RET
